unit fjf255u;

interface

procedure foo;

implementation

procedure foo;
begin
  writeln ('OK')
end;

end.

unit fjf255v;

interface

{$uses=fjf255u}

procedure bar;

implementation

procedure bar;
begin
  foo
end;

end.

program fjf255a;

uses fjf255v;

begin
  bar
end.
